%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global upstream_name txamqp

Name:           python-%{upstream_name}
Version:        0.6.2
Release:        3%{?dist}
Summary:        A Python library for communicating with AMQP peers and brokers using Twisted

Group:          Development/Languages
License:        ASL 2.0
URL:            https://launchpad.net/txamqp
Source0:        http://pypi.python.org/packages/source/t/txAMQP/txAMQP-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-twisted-core
Requires:       amqp

%description
txAMQP is a Python library for communicating with AMQP peers and brokers using
Twisted.

This project contains all the necessary code to connect, send and receive
messages to/from an AMQP-compliant peer or broker (Qpid, OpenAMQ, RabbitMQ)
using Twisted.

%package        thrift
Summary:        Contributed Thrift libraries for Twisted
Group:          Development/Languages

Requires:       %{name} = %{version}-%{release}
Requires:       python-thrift

%description    thrift
txAMQP also includes support for using Thrift RPC over AMQP in Twisted
applications.

%prep
%setup -q -n txAMQP-%{version}
# Fix non-executable-script error
sed -i '/^#!\/usr\/bin\/env python/,+1 d' src/txamqp/codec.py

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{python_sitelib}/%{upstream_name}
%{python_sitelib}/%{upstream_name}/*.py*
%dir %{python_sitelib}/%{upstream_name}/contrib
%{python_sitelib}/%{upstream_name}/contrib/*.py*
%{python_sitelib}/txAMQP-%{version}-*.egg-info

%files thrift
%defattr(-,root,root,-)
%{python_sitelib}/%{upstream_name}/contrib/thrift

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 09 2015 Dan Callaghan <dcallagh@redhat.com> - 0.6.2-1
- Fragment body if the content frame exceeds the negotiated max fram length.
- Use AMQPLAIN by default.
- Added method callback to catch channel_close errors.
- Added MANIFEST.in file with LICENSE.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 27 2012 Silas Sewell <silas@sewell.org> - 0.6.1-1
- Update to 0.6.1

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Sep 12 2010 Silas Sewell <silas@sewell.ch> - 0.3-1
- Initial build
